# Gets the list of burn positions by pool id

`getPoolBurnPositionList` fetches a list of burn positions for a specified pool ID by calling the `sdk.Burn.getPoolBurnPositionList(pool_id)`, then prints the result.

```typescript
const pool_id = '0x...'
const position_ids = await sdk.Burn.getPoolBurnPositionList(pool_id)

// result:
position_ids: [{
    id: '0x88678e4cd2681bf41b7f2afdd49c15...',
    url: 'https://bq7bkvdje7gvgmv66hrxdy7wx5h5ggtrrnmt66rdkkehb64rvz3q.arweave.net/DD4VVGknzVMyvvHj...',
    pool_id: '0xc41621d02d5ee00a7a993b912a8550d...',
    coin_type_a: '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::usdc::USDC',
    coin_type_b: '0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::cetus::CETUS',
    description: 'Cetus Liquidity Position',
    name: 'Cetus Burned LP | Pool9-115',
    liquidity: '19387676',
    clmm_position_id: '0x092f07a470479f86927fe161a53074b...',
    clmm_pool_id: '0xc41621d02d5ee00a7a993b912a8550d...',
    tick_lower_index: -443580,
    tick_upper_index: 443580,
    index: '115',
    is_lp_burn: true
},...]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-burn-sdk/gets-the-list-of-burn-positions-by-pool-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
